''
'' This code is part of https://developer.mescius.com/document-solutions/dot-net-word-api/demos.
'' Copyright (c) MESCIUS inc. All rights reserved.
''
Imports System.Drawing
Imports System.IO
Imports GrapeCity.Documents.Word
Imports GrapeCity.Documents.Imaging

'' This sample demonstrates how to use theme colors
'' to change how a document looks.
Public Class ThemeColors
    Public Function CreateDocx() As GcWordDocument
        Dim doc = New GcWordDocument()
        Dim pth = Path.Combine("Resources", "WordDocs", "BuiltInStyles.docx")
        doc.Load(pth)

        doc.Settings.GetThemeColor(ThemeColorId.Text1).RGB = Color.Blue
        doc.Settings.GetThemeColor(ThemeColorId.Accent1).RGB = Color.Red
        doc.Settings.GetThemeColor(ThemeColorId.Accent2).RGB = Color.OrangeRed
        doc.Settings.GetThemeColor(ThemeColorId.Accent3).RGB = Color.Orange

        '' Done
        Return doc
    End Function
End Class
